Bug 237254 - bittorrent-gui missing translations
bittorrent-gui missing translations
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bittorrent (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
bzcl34nup
: FutureFeature, Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 10:01 EDT by Matthias Clasen
Modified: 2012-03-18 06:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-18 06:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2007-04-20 10:01:35 EDT
Not sure there is much you can do about it, but it is a pity that we ship a
program prominently on the menus that doesn't have translations. In my case, I
noticed the german translations missing, don't know if there are any others.

Curiously, there _is_ a German mo file in the bitorrent package.
Comment 1 Niels 2007-05-23 13:39:50 EDT
Especially as the Fedora 6 version was correctly translated.
Comment 2 Bug Zapper 2008-04-03 20:11:13 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Niels 2008-04-04 14:49:35 EDT
It is still the case that bittorrent isn't translated in Fedora 8. It was
correctly translated up to Fedora 6 as I already mentioned above.

I cannot change the status and the version myself, so it would be nice if
someone could do that.
Comment 4 Paul Howarth 2008-04-09 04:52:13 EDT
The FC6 package, when rebuilt for F8, exhibits the same problem. Similarly, the
current current development package, when rebuilt for FC6, works fine on FC6. So
it would appear that something has changed in the way that translations work in
python since FC6 (perhaps this is a python 2.4 -> python 2.5 issue?).

The bittorrent code handling translations has a lot of crufty stuff for Windows
compatibility (including a settings dialog where the user can override the
system language setting, though this has no effect on Fedora 7 onwards either).
One approach to solving this might be to replace the existing translation code
with the "standard" python code for the job. Unfortunately I know very little
python so this is not something I can do myself.
Comment 5 Bug Zapper 2008-05-13 22:47:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 18:33:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Niels 2009-06-10 01:27:22 EDT
It is still wrong in Fedora 10. Haven't tested this in Fedora 11 yet.
So please change the version of this bug.
Comment 8 Paul Howarth 2009-07-31 10:55:41 EDT
Just to clarify, the package does include translations but due to a bug I haven't identified yet, has not been able to use those translations since the days of python 2.4.
Comment 9 Piotr Drąg 2009-08-29 17:52:35 EDT
Is this package still maintained by upstream?
Comment 10 Paul Howarth 2009-08-30 03:47:39 EDT
(In reply to comment #9)
> Is this package still maintained by upstream?  

No. There is a later version that doesn't suffer from this bug but there is no version later than 4.4.0 that has a GUI that works in Fedora. Upstream is now closed-source.
Comment 11 Piotr Drąg 2009-09-21 15:16:47 EDT
So shouldn't it be obsoleted in Fedora?
Comment 12 Paul Howarth 2012-03-18 06:31:18 EDT
bittorrent was dropped from Fedora for the Fedora 16 release.

Note You need to log in before you can comment on or make changes to this bug.